#
# spec file for package build (Version 2010.10.12)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           build
License:        GPLv2+
Group:          Development/Tools/Building
AutoReqProv:    on
Summary:        A Script to Build SUSE Linux RPMs
Version:        2010.10.12
Release:        1
# osc rm build-*tar.bz2
# REVISION=$(svn info https://forgesvn1.novell.com/svn/opensuse/trunk/buildservice/src/build | sed -ne "/Revision: /s///p")
# VERSION="$(date +"%Y.%m.%d").r$REVISION"
# svn export -r$REVISION https://forgesvn1.novell.com/svn/opensuse/trunk/buildservice/src/build build-$VERSION
# tar cjvf build-$VERSION.tar.bz2 build-$VERSION
# rm -rf build-$VERSION
# osc add build-$VERSION.tar.bz2
# # There's several occurences of "Version: something" in this file,
# # two of them valid, so we need to be picky in the match.
# sed --in-place build.spec -e"/\(Version:\?[[:space:]]\+\)\([0-9]\{4\}\.[0-9][0-9]\.[0-9][0-9]\.r[0-9]\+\)/s,,\1$VERSION,"
# osc build build.spec
# osc ci
# osc submitreq create -m"current svn snapshot." openSUSE:Tools build openSUSE:Factory
#!BuildIgnore:  build-mkbaselibs
Source:         build-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
# Manual requires to avoid hard require to bash-static
AutoReqProv:    off
# Keep the following dependencies in sync with obs-worker package
Requires:       bash
Requires:       perl
Requires:       perl-TimeDate
Requires:       binutils
Requires:       tar

%description
This package provides a script for building RPMs for SUSE Linux in a
chroot environment.


%if 0%{?suse_version} > 1120 || ! 0%{?suse_version}
Requires:       build-mkbaselibs

%package mkbaselibs
License:        GPLv2+
Group:          Development/Tools/Building
Summary:        Tools to generate base lib packages
# NOTE: this package must not have dependencies which may break boot strapping (eg. perl modules)

%description mkbaselibs
This package contains the parts which may be installed in the inner build system
for generating base lib packages.
%endif

%prep
%setup -q

%build

%install
make DESTDIR=$RPM_BUILD_ROOT install
cd $RPM_BUILD_ROOT/usr/lib/build/configs/
%if 0%{?sles_version}
 ln -s sles%{sles_version}.conf default.conf
%else
%if 0%{?suse_version}
 V=%suse_version
 ln -s sl${V:0:2}.${V:2:1}.conf default.conf
%endif
%endif

%files
%defattr(-,root,root)
%doc README
/usr/bin/build
/usr/bin/buildvc
/usr/bin/unrpm
/usr/lib/build
%{_mandir}/man1/build.1*

%if 0%{?suse_version} > 1120 || ! 0%{?suse_version}
%exclude /usr/lib/build/mkbaselibs
%exclude /usr/lib/build/baselibs*

%files mkbaselibs
%defattr(-,root,root)
%dir /usr/lib/build
/usr/lib/build/mkbaselibs
/usr/lib/build/baselibs*
%endif

%changelog
